MaximalStandardAction Class Reference

`#include <MaximalStandardAction.h>`

Inheritance diagram for MaximalStandardAction:

## Public Member Functions

| MaximalStandardAction ()
virtual void | obtainParameters (vector< Parameter * > &parameters)
virtual void | perform ()
Public Member Functions inherited from Action
| Action (const char *name, const char *shortDescription, const char *description, bool acceptsNonParameter)
virtual | ~Action ()
const char * | getName () const
const char * | getShortDescription () const
const char * | getDescription () const
bool | acceptsNonParameter () const
virtual void | processNonParameter (const char *str)
virtual void | parseCommandLine (unsigned int tokenCount, const char **tokens)
virtual bool | displayAction () const
| Returns whether this action should be shown to the user by the help action.
const Parameter & | getParam (const string &name) const

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from Action
static void | getActionNames (vector< string > &names)
static unique_ptr< Action > | createActionWithPrefix (const string &prefix)

## Private Attributes

SliceParameters | _sliceParams
IOParameters | _io
BoolParameter | _increment

## Additional Inherited Members

Protected Attributes inherited from Action
CliParams | _params
const char * | _name
const char * | _shortDescription
const char * | _description
bool | _acceptsNonParameter
BoolParameter | _printActions

## Detailed Description

Definition at line 25 of file MaximalStandardAction.h.

## Constructor & Destructor Documentation

## MaximalStandardAction()

MaximalStandardAction::MaximalStandardAction | ( |  | ) |

Definition at line 24 of file MaximalStandardAction.cpp.

## Member Function Documentation

## obtainParameters()

void MaximalStandardAction::obtainParameters | ( | vector< Parameter * > & | parameters | ) |

virtual

Reimplemented from Action.

Definition at line 47 of file MaximalStandardAction.cpp.

## perform()

void MaximalStandardAction::perform | ( |  | ) |

virtual

Implements Action.

Definition at line 54 of file MaximalStandardAction.cpp.

## staticGetName()

const char * MaximalStandardAction::staticGetName | ( |  | ) |

static

Definition at line 43 of file MaximalStandardAction.cpp.

## Member Data Documentation

## _increment

BoolParameter MaximalStandardAction::_increment

private

Definition at line 38 of file MaximalStandardAction.h.

## _io

IOParameters MaximalStandardAction::_io

private

Definition at line 37 of file MaximalStandardAction.h.

## _sliceParams

SliceParameters MaximalStandardAction::_sliceParams

private

Definition at line 36 of file MaximalStandardAction.h.

The documentation for this class was generated from the following files:

- src/MaximalStandardAction.h
- src/MaximalStandardAction.cpp